Bug 170551 - Crash and kernel error - kernel: kernel BUG at include/linux/list.h:165!
Crash and kernel error - kernel: kernel BUG at include/linux/list.h:165!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 15:54 EDT by Sean Sosik-Hamor
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:45:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Sosik-Hamor 2005-10-12 15:54:24 EDT
Description of problem:

I upgraded my server from FC3 to FC4 using yum and applied all the latest updates. After rebooting to 
FC4 the system ran fine for a few hours but I received errors when I ran "rpm -Va" about the disk not 
being writable and that the disk was mounted read-only. Nothing was in the logs. This is a brand-new 
server I just brought online running apache, sshd, and sendmail (under no load).

I rebooted and the system ran fine for about a day when it crashed overnight; a reboot revealed the 
following in the logs:

Oct 12 09:45:20 colo2 kernel: ------------[ cut here ]------------
Oct 12 09:45:20 colo2 kernel: kernel BUG at include/linux/list.h:165!
Oct 12 09:45:20 colo2 kernel: invalid operand: 0000 [#1]
Oct 12 09:45:20 colo2 kernel: Modules linked in: autofs4 i2c_dev i2c_core sunrpc ipv6 ipt_state 
ip_conntrack iptable_filter ip_tables dm_mod video button battery ac uhci_hcd ehci_hcd shpchp via_ircc 
irda crc_ccitt snd_via82xx gameport snd_ac97_codec snd_seq_dummy snd_seq_oss 
snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc 
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore 8139too mii floppy ext3 jbd
Oct 12 09:45:20 colo2 kernel: CPU:    0
Oct 12 09:45:20 colo2 kernel: EIP:    0060:[<c01765f3>]    Not tainted VLI
Oct 12 09:45:20 colo2 kernel: EFLAGS: 00010006   (2.6.13-1.1526_FC4)
Oct 12 09:45:20 colo2 kernel: EIP is at free_block+0xd3/0xe7
Oct 12 09:45:20 colo2 kernel: eax: 00800000   ebx: 00000001   ecx: c1800058   edx: c1800000
Oct 12 09:45:20 colo2 kernel: esi: f7ffd740   edi: 00000003   ebp: 00000005   esp: f7fefef8
Oct 12 09:45:20 colo2 kernel: ds: 007b   es: 007b   ss: 0068
Oct 12 09:45:20 colo2 kernel: Process events/0 (pid: 3, threadinfo=f7fef000 task=f7ec9000)
Oct 12 09:45:20 colo2 kernel: Stack: c03ff266 f7ffeb50 f7ffeb50 f7ffeb40 00000005 f7ffd740 
c017735b f7ffd740
Oct 12 09:45:20 colo2 kernel:        f7ffd6bc 00000001 f7ffd6e4 c0177588 19681000 003d9000 
00000282 f7ec9000
Oct 12 09:45:20 colo2 kernel:        19681000 003d9000 00000000 00000000 f7ffd6bc f7ffd7c8 
c0511520 f7ffa640
Oct 12 09:45:20 colo2 kernel: Call Trace:
Oct 12 09:45:20 colo2 kernel:  [<c03ff266>] schedule+0x356/0x938
Oct 12 09:45:20 colo2 kernel:  [<c017735b>] drain_array_locked+0x6e/0x9e
Oct 12 09:45:20 colo2 kernel:  [<c0177588>] cache_reap+0x1fd/0x5b5
Oct 12 09:45:20 colo2 kernel:  [<c017738b>] cache_reap+0x0/0x5b5
Oct 12 09:45:20 colo2 kernel:  [<c0147bf7>] worker_thread+0x2aa/0x621
Oct 12 09:45:20 colo2 kernel:  [<c012186b>] __wake_up_common+0x39/0x59
Oct 12 09:45:20 colo2 kernel:  [<c0121826>] default_wake_function+0x0/0xc
Oct 12 09:45:20 colo2 kernel:  [<c014794d>] worker_thread+0x0/0x621
Oct 12 09:45:20 colo2 kernel:  [<c01508ab>] kthread+0x87/0x8b
Oct 12 09:45:20 colo2 kernel:  [<c0150824>] kthread+0x0/0x8b
Oct 12 09:45:20 colo2 kernel:  [<c01012ed>] kernel_thread_helper+0x5/0xb
Oct 12 09:45:20 colo2 kernel: Code: 84 75 ff ff ff 8d 46 0c 8b 50 04 89 48 04 89 01 89 51 04 89 0a eb 
80 2b 46 3c 89 46 24 89 ca 89 f0 e8 fe e1 ff ff e9 6c ff ff ff <0f> 0b a5 00 c6 29 41 c0 eb 8d 0f 0b a6 
00 c6 29 41 c0 eb 8a 55


Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526_FC4
Linux colo2.hamor.com 2.6.13-1.1526_FC4 #1 Wed Sep 28 19:15:10 EDT 2005 i686 athlon i386 GNU/
Linux

[root@colo2 ~]# cat /proc/cpuinfo 
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 10
model name      : AMD Athlon(tm) XP 2500+
stepping        : 0
cpu MHz         : 1832.169
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse 
syscall mmxext 3dnowext 3dnow
bogomips        : 3668.05


How reproducible:

Unable to reliably reproduce. System is just generally unstable.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2005-11-10 14:53:50 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Dave Jones 2005-12-10 02:53:22 EST
'generally unstable' is a bit disturbing.  That BUG is basically there to trap a
condition that should never happen. The only instances things like that get
tripped are usually either coding errors that affect a lot of people, or
hardware problems such as bad memory.  I recommend running memtest86 on this box
for a while to see if that picks anything up.
Comment 3 Dave Jones 2006-02-03 02:04:23 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 21:45:51 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.